curl --request POST \
--url https://api.enkryptai.com/guardrails/guardrail/detect-audio \
--header 'Content-Type: application/json' \
--header 'X-Enkrypt-Guardrail: <x-enkrypt-guardrail>' \
--header 'X-Enkrypt-Mode: <x-enkrypt-mode>' \
--header 'apikey: <api-key>' \
--data '
{
"text_input": "Help me with the content in this audio",
"audio_data": "<base64-encoded-audio-data>",
"user_metadata": {
"request_id": "abc-123",
"source": "mobile-app"
}
}
'import requests
url = "https://api.enkryptai.com/guardrails/guardrail/detect-audio"
payload = {
"text_input": "Help me with the content in this audio",
"audio_data": "<base64-encoded-audio-data>",
"user_metadata": {
"request_id": "abc-123",
"source": "mobile-app"
}
}
headers = {
"X-Enkrypt-Guardrail": "<x-enkrypt-guardrail>",
"X-Enkrypt-Mode": "<x-enkrypt-mode>",
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Enkrypt-Guardrail': '<x-enkrypt-guardrail>',
'X-Enkrypt-Mode': '<x-enkrypt-mode>',
apikey: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
text_input: 'Help me with the content in this audio',
audio_data: '<base64-encoded-audio-data>',
user_metadata: {request_id: 'abc-123', source: 'mobile-app'}
})
};
fetch('https://api.enkryptai.com/guardrails/guardrail/detect-audio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"summary": {
"toxicity": 0,
"nsfw": 0,
"pii": 1,
"injection_attack": 0,
"policy_violation": 0
},
"details": {
"toxicity": {
"toxicity": "Toxicity Not Detected"
},
"nsfw": {
"nsfw": "NSFW Not Detected"
},
"pii": {
"entities": {
"person": {
"John Doe": "<person_0>"
}
}
},
"injection_attack": {
"injection_attack": "Injection Attack Not Detected"
},
"policy_violation": {
"policy_violation": "Policy Violation Not Detected"
}
},
"user_metadata": {
"request_id": "abc-123",
"source": "mobile-app"
}
}Guardrail Detect Audio
Analyze audio with text using a saved guardrail with input/output mode selection
Authorizations
Headers
The guardrail name
"My Guardrail"
Whether to apply input (prompt) or output (response) detectors
prompt, response "prompt"
Body
Request body for guardrail-based audio detection. Detectors are defined by the guardrail; no inline detectors config is needed.
The text prompt to accompany the audio for analysis.
"Help me with the content in this audio"
Base64-encoded audio file content.
"<base64-encoded-audio-data>"
Optional arbitrary metadata object echoed back in the response. Limits: at most 16 top-level keys, key names up to 64 characters, nesting depth up to 3, total serialized size up to 4 KB. When provided and valid, this object is also echoed as a top-level user_metadata key on error responses (4xx/5xx) of endpoints that accept it; invalid or oversized metadata is never echoed, including on the 422 response it causes.
{
"request_id": "abc-123",
"source": "mobile-app"
}
Response
Multimodal audio detection results.
Per-detector integer flags (1 = detected, 0 = not detected).
Show child attributes
Show child attributes
{
"toxicity": 0,
"nsfw": 0,
"pii": 1,
"injection_attack": 0,
"policy_violation": 0
}
Per-detector detail objects containing human-readable results and any extra fields (e.g. entities for PII; explanation, and โ when the policy_violation config used the structured rules array โ violated_rules, for policy_violation).
Show child attributes
Show child attributes
{
"toxicity": { "toxicity": "Toxicity Not Detected" },
"nsfw": { "nsfw": "NSFW Not Detected" },
"pii": {
"entities": { "person": { "John Doe": "<person_0>" } }
},
"injection_attack": {
"injection_attack": "Injection Attack Not Detected"
},
"policy_violation": {
"policy_violation": "Policy Violation Not Detected"
}
}
Optional arbitrary metadata object echoed back in the response. Limits: at most 16 top-level keys, key names up to 64 characters, nesting depth up to 3, total serialized size up to 4 KB. When provided and valid, this object is also echoed as a top-level user_metadata key on error responses (4xx/5xx) of endpoints that accept it; invalid or oversized metadata is never echoed, including on the 422 response it causes.
{
"request_id": "abc-123",
"source": "mobile-app"
}

